Get impacted Business Services for a Status Dashboard by `id`.
Get impacted Business Services for a Status Dashboard by id
This endpoint does not return an exhaustive list of Business Services but rather provides access to the most impacted on the specified Status Dashboard up to the limit of 200.
The returned Business Services are sorted first by Impact, secondarily by most recently impacted, and finally by name.
To get Impact information about a specific Business Service on the Status Dashboard that does not appear in the Impact-sorted response, use the ids[] parameter on the /business_services/impacts endpoint.
Scoped OAuth requires: status_dashboards.read
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Path Parameters
The ID of the resource.
Query Parameters
Provides access to additional fields such as highest priority per business service and total impacted count
Value in
- "services.highest_impacting_priority"
- "total_impacted_count"
Header Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2"Response Body
application/json
application/json
application/json
application/json
application/json
application/json
Get a single Status Dashboard by `url_slug` GET
Get a Status Dashboard by its PagerDuty `url_slug`. A `url_slug` is a human-readable reference for a custom Status Dashboard that may be created or changed in the UI. It will generally be a `dash-separated-string-like-this`. Scoped OAuth requires: `status_dashboards.read`
Get impacted Business Services for a Status Dashboard by `url_slug` GET
Get Business Service Impacts for the Business Services on a Status Dashboard by its `url_slug`. A `url_slug` is a human-readable reference for a custom Status Dashboard that may be created or changed in the UI. It will generally be a `dash-separated-string-like-this`. This endpoint does not return an exhaustive list of Business Services but rather provides access to the most impacted on the Status Dashboard up to the limit of 200. The returned Business Services are sorted first by Impact, secondarily by most recently impacted, and finally by name. To get impact information about a specific Business Service on the Status Dashboard that does not appear in the Impact-sored response, use the `ids[]` parameter on the `/business_services/impacts` endpoint. Scoped OAuth requires: `status_dashboards.read`